using System;
using Unity.VisualScripting;
using UnityEngine;

namespace Src
{
    public class CollectableItem : MonoBehaviour
    {
        private ItemsManager manager;

        private void Start()
        {
            manager = FindObjectOfType<ItemsManager>();
            // Debug.Log(manager);
            manager.RegisterItem(this);
        }

        public void SetItemManager(ItemsManager manager)
        {
            this.manager = manager;
        }

        private void OnTriggerEnter(Collider other)//Is called when Player runs into Coin
        {
            this.GameObject().SetActive(false);
            manager.ItemCollected(this);
        }
    }
}