using System.Collections;
using System.Collections.Generic;
using Src;
using TMPro;
using Unity.VisualScripting;
using UnityEngine;
using UnityEngine.UI;


public class ItemCounter : MonoBehaviour
{
    public TextMeshProUGUI itemCounter;

    private ItemsManager manager;
    //public GameObject item;
    // Start is called before the first frame update
    void Start()
    {
        //item = item.GetComponent<GameObject>();
        manager = FindObjectOfType<ItemsManager>();
    }

    // Update is called once per frame
    void Update()
    {
        var itemCount = manager.GetItemCount();
        itemCounter.text = $"{manager.GetTotalitemCount()-itemCount}/{manager.GetTotalitemCount()}";

        if (itemCount <= 0)
        {
            itemCounter.color = Color.green;
        }
    }

}
