using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class LevelLoader : MonoBehaviour
{
    public Button LevelLoader1;
    public Button LevelLoader2;
    public Button LevelLoader3;
    
    // Start is called before the first frame update
    void Start()
    {
        LevelLoader1.onClick.AddListener(LoadLevel1);
        LevelLoader2.onClick.AddListener(LoadLevel2);
        LevelLoader3.onClick.AddListener(LoadLevel3);
    }

    void LoadLevel1()
    {
        SceneManager.LoadScene(1);
    }

    void LoadLevel2()
    {
        SceneManager.LoadScene(2);
    }

    void LoadLevel3()
    {
        SceneManager.LoadScene(3);
    }
}
