using System;
using System.Collections;
using System.Collections.Generic;
using Src;
using UnityEngine.InputSystem;
using UnityEngine;
using UnityEngine.SceneManagement;

public class Arschsex : MonoBehaviour
{
    private Ficken input = null;
    private InputAction move;
    private InputAction jump;
    private InputAction god;
    private InputAction godMove;
    private Rigidbody rb;
    [SerializeField] private Camera camera;
    private bool goddy = false;
    private Vector3 moveVector;
    private float moveSpeed = 20f;
    private float rayLength = 0.85f;
    [SerializeField] private LayerMask groundMask;
    private int jumpmeter = 1;
    [SerializeField] private float CameraOffsetVertical = 2;
    [SerializeField] private float CameraOffsetHorizontal = 5;
    [SerializeField] private float BottomLimit = -10;
    public ParticleSystem particle;

    private float cameraHeight = 0;


    public AudioClip takeitem;
    public AudioSource audio;
    private ItemsManager itemsManager;
    private int amountItems;

    // Start is called before the first frame update
    void Start()
    {
        var audio = GetComponent<AudioSource>();
        itemsManager = FindObjectOfType<ItemsManager>();
    }
    private void Awake()
    {
        audio.mute = true;
        input = new Ficken();
        move = input.Player.Move;
        jump = input.Player.Jump;
        god = input.Player.God;
        godMove = input.Player.GodMove;
        rb = gameObject.GetComponent<Rigidbody>();
        cameraHeight = camera.transform.position.y;
    }
    // Update is called once per frame
    void Update()
    {
       moveVector = move.ReadValue<Vector3>();
       var current_position = rb.position;
       camera.transform.position = new Vector3(current_position.x, cameraHeight, current_position.z - CameraOffsetHorizontal);
       camera.transform.rotation = calculateAngle(camera.transform.position, current_position);
       ReturnToMenu();
       if (current_position.y <= this.BottomLimit)
       {
           SceneManager.LoadScene(SceneManager.GetActiveScene().name);
       }

       if (amountItems != itemsManager.GetItemCount())
       {
           amountItems = itemsManager.GetItemCount();
           audio.mute = false;
           audio.PlayOneShot(takeitem);
       }
    }
    private void FixedUpdate() {
        rb.AddForce(moveVector*moveSpeed);
        var newVelocity = Vector3.ClampMagnitude(new Vector3(rb.velocity.x, 0f, rb.velocity.z), 7f);
        newVelocity.y = rb.velocity.y;
        rb.velocity = newVelocity;
        particle.transform.position = new Vector3(this.transform.position.x, this.transform.position.y - 0.5f, this.transform.position.z);
    if (Physics.Raycast(transform.position, Vector3.down, rayLength, groundMask)) {
        jumpmeter = 1;
        if(moveVector != Vector3.zero) {
        if (!particle.isPlaying)
            particle.Play();
        }
        else {
            particle.Stop();
        }
    }
    else 
        particle.Stop();
    
        if (goddy)
        {
            var vel = godMove.ReadValue<Vector3>()/2;
            this.transform.position += vel;
        }
    }
    private void OnEnable() {
        move.Enable();
        jump.Enable();
        god.Enable();
        godMove.Enable();
        jump.performed += Jump;
        god.performed += God;
    }
    private void OnDisable() {
        move.Disable();
        jump.Disable();
        god.Enable();
        godMove.Enable();
    }
    void Jump(InputAction.CallbackContext context) {
        if (jumpmeter > 0)
            rb.velocity = new Vector3(rb.velocity.x, 5f, rb.velocity.z);
            jumpmeter -= 1;
    }
    void God(InputAction.CallbackContext context) {
        goddy = !goddy;
        rb.isKinematic = goddy;
        Physics.IgnoreLayerCollision(1, 0, goddy);
        }

    private Quaternion calculateAngle(Vector3 cameraPosition, Vector3 ballPosition)
    {
        //reference - camera
        var cameraHeightReference = new Vector3(ballPosition.x, cameraPosition.y, ballPosition.z);

        var cameraReferenceVector = cameraHeightReference - cameraPosition;
        var cameraBallVector = ballPosition - cameraPosition;

        return Quaternion.FromToRotation(cameraReferenceVector, cameraBallVector);

        /*
        var topProduct = cameraReferenceVector.x * cameraBallVector.x + cameraReferenceVector.y * cameraBallVector.y + cameraReferenceVector.z * cameraBallVector.z;
        var bottomProductPartOne = Math.Sqrt(Math.Pow(cameraReferenceVector.x, 2) + Math.Pow(cameraReferenceVector.y, 2) + Math.Pow(cameraReferenceVector.z, 2));
        var bottomProductPartTwo = Math.Sqrt(Math.Pow(cameraBallVector.x, 2) + Math.Pow(cameraBallVector.y, 2) + Math.Pow(cameraBallVector.z, 2));
        var bottomProduct = bottomProductPartOne * bottomProductPartTwo;
        var product = Math.Abs(topProduct / bottomProduct);
        var res = (float)Math.Acos(product);
        */
    }
    
    void ReturnToMenu()
    {
        if (Input.GetKey(KeyCode.R))
        {
            Physics.IgnoreLayerCollision(1, 0, false);
            SceneManager.LoadScene(0);
        }
    }

    private void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.CompareTag("Item"))
        {
            audio.PlayOneShot(takeitem, 1f);
        }
    }
}
