using System;
using Unity.VisualScripting;
using UnityEngine;

namespace Src
{
    public class Button : MonoBehaviour
    {
        [SerializeField] private GameObject triggerableObject;

        private bool objectIsEnabled;

        private void Start()
        {
            triggerableObject.SetActive(false);
        }

        public void OnTriggerEnter(Collider other)
        {
            if (!objectIsEnabled)
            {
                triggerableObject.SetActive(true);
                objectIsEnabled = true;
                this.GameObject().transform.position += new Vector3(0, -0.05f, 0);
            }
        }
    }
}